Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoWeakElitistReplacement< EOT > Class Template Reference

eoWeakElitistReplacement: a wrapper for other replacement procedures. More...

`#include <eoReplacement.h>`

Inheritance diagram for eoWeakElitistReplacement< EOT >:

List of all members.

## Public Types
typedef EOT::Fitness | Fitness
## Public Member Functions
| eoWeakElitistReplacement (eoReplacement< EOT > &_replace)
void | operator() (eoPop< EOT > &_pop, eoPop< EOT > &_offspring)
| do replacement
## Private Attributes
eoReplacement< EOT > & | replace

## Detailed Description

### template<class EOT>
class eoWeakElitistReplacement< EOT >

eoWeakElitistReplacement: a wrapper for other replacement procedures.

Copies in the new pop the best individual from the old pop, AFTER normal replacement, if the best of the new pop is worse than the best of the old pop. Removes the worse individual from the new pop. This could be changed by adding a selector there...

Definition at line 102 of file eoReplacement.h.

The documentation for this class was generated from the following file:

- eoReplacement.h